using System.Threading;
using Cysharp.Threading.Tasks;
using RebootKit.Engine.Foundation;
using UnityEngine;

namespace RebootKit.Engine.Graphics {
    public class MainCameraService : ServiceMonoBehaviour {
        [field: SerializeField]
        public Camera Camera { get; private set; }

        public override async UniTask OnInit(CancellationToken cancellationToken) {
            await UniTask.Yield(cancellationToken);
        }
 
        public override void Dispose() {
        }
    }
}